CGAL 6.1.2 - 2D Arrangements: CGAL::Arr_linear_traits_2< Kernel > Class Template Reference

CGAL 6.1.2 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members | Classes | Public Member Functions
CGAL::Arr_linear_traits_2< Kernel > Class Template Reference
Reference Manual » Geometry Traits Classes

`#include <CGAL/Arr_linear_traits_2.h>`

## Definition

template<typename Kernel>
class CGAL::Arr_linear_traits_2< Kernel >

The traits class `Arr_linear_traits_2` is a model of the `AosTraits_2` concept, which enables the construction and maintenance of arrangements of linear objects.

The linear objects may be bounded (line segments) or unbounded (rays and lines). Thus, it is also a model of the concept `AosOpenBoundaryTraits_2`. The traits class is parameterized parameterized with a CGAL-kernel model; see the reference page of `Arr_segment_traits_2<Kernel>` for further explanations and recommendations on choosing a kernel.

`Arr_linear_traits_2` defines `Kernel::Point_2` as its point type. The nested `X_monotone_curve_2` and `Curve_2` types defined by the traits class (as is the case with the various segment-traits classes, both types refer to the same class, as every linear object is (weakly) \(x\)-monotone), are constructible from a point, a line segment, a ray and from a line (objects of types `Kernel::Point_2`, `Kernel::Segment_2`, `Kernel::Ray_2` and `Kernel::Line_2`, respectively). On the other hand, when we are given a curve we can find out its actual type and convert it to the respective kernel object (say, to a `Kernel::Ray_2`).

Is model of
  `AosTraits_2`
  `AosLandmarkTraits_2`
  `AosOpenBoundaryTraits_2`

## Classes
class | Trim_2
class | X_monotone_curve_2
| The `X_monotone_curve_2` (and the `Curve_2`) class nested within the linear-traits can represent all types of linear objects. More...

## Public Member Functions
template<typename Kernel >
class CGAL::Arr_linear_traits_2::Trim_2 | trim_2_object () const

## Types
typedef Kernel::Segment_2 | Segment_2
typedef Kernel::Ray_2 | Ray_2
typedef Kernel::Line_2 | Line_2
typedef Kernel::Point_2 | Point_2
typedef X_monotone_curve_2 | Curve_2